Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Get the error "add-on could not be downloaded because of a connection failure"

  • 12 replies
  • 1 has this problem
  • 59 views
  • Last reply by timeduck

more options

I attempted to download the Alexa Toolbar extension. At first Firefox blocked the download so I said allow. Then it showed it downloading before saying "add-on could not be downloaded because of a connection failure. I know this is not my antivirus because I have disabled web download scanning and it still did not work.

Chosen solution

I'm not exactly sure if someone has already posted it (I kinda started ignoring the emails since people starting talking about someone elses problem) but if you download the xpi file in another browser then open the file with Firefox it should let you install.

Read this answer in context 👍 0

All Replies (12)

more options

Could be server problem did you try at nights to download again?

more options

WestEnd said

Could be server problem did you try at nights to download again?

It did not.

more options

No problems here.

Does this link work?

You can try to use "Save Link As" in the right-click context menu and install the extension locally via the cogwheel button on the about:addons page.


In Firefox 56+ the "Warn me when web sites try to redirect or reload the page" setting can no longer be found in Options/Preferences. You can modify this pref on the about:config page to enable or disable this feature

You can open the about:config page via the location/address bar. You can accept the warning and click "I accept the risk!" to continue.

more options

I can download the Alexa tool extension fine. I get this message when trying to download Ad Remover from adremover.org. One thing I have noticed in Tools - Web Developer - Console there is a message regarding Content Security Policy stating "Directive 'child-srv' has been deprecated." and to use either 'worker-src' or 'frame-src.' I am in over my head at this point.

more options

Hi dhogan01, "Certificate issuer is not built-in" sounds like a secure connection problem, not a CSP problem (that's probably from something else). What if you try that address directly:

https://assets.adremover.org/browser_extension/firefox_webext/ad_remover_org-latest.xpi

If your Firefox has problems making secure connections, please STOP and we need to figure that out now, as you may have malware intercepting your browsing.

If you get a connection error page, it's usually one of these things:

Hopefully one of those will get you either the solution, or enough background to give us more details on the problem. Thanks.

more options

I get the same message when I try the link. (see attch) How would connecting to this site be different than others--like the Alexa one?

more options

They use CloudFlare. Could that be a factor?

What kind of response do you get for this URL:

https://assets.adremover.org/browser_extension/firefox_webext/nosuchpage.html

I get "Access Denied" twice followed by various gibberish. Do see that or something else?

more options

Same thing as you (I think) see attch

more options

Well, Firefox 64 doesn't have that structured view, but it seems to be the same content, yes.

I don't know why that address "works" but the .xpi link doesn't. Can you right-click > Save Link As on it?

https://assets.adremover.org/browser_extension/firefox_webext/ad_remover_org-latest.xpi

If an error page is saved, you would need to change the extension (.txt is safe) to view its contents.

more options

That seemed to work. No error. How do I install it?

more options

To sideload an extension from a saved .xpi file, you can try this:

Open the Add-ons page using either:

  • Ctrl+Shift+a (Mac: Command+Shift+a)
  • "3-bar" menu button (or Tools menu) > Add-ons
  • type or paste about:addons in the address bar and press Enter/Return

In the left column of the Add-ons page, click Extensions.

Then on the right side look for a button with a gear/wheel/cog icon, click that to drop a menu, and click "Install Add-on from file...".

more options

Chosen Solution

I'm not exactly sure if someone has already posted it (I kinda started ignoring the emails since people starting talking about someone elses problem) but if you download the xpi file in another browser then open the file with Firefox it should let you install.